<html>
	<head>
	   <title>Arama İşlemleri</title>
	   <style>
	      table{
			  border-width:0px;
		  }
		  
		  .ara{
			  border:2px solid #AABBFF;
			  border-radius:7px;
			  padding:2px 5px;
			  width:350px;
			  
		  }
		  
	   </style>
	</head>
	<body>
	 <form name="frm" action="arama.php" Method="GET">
	     <table border="0" cellpadding="10">
		     <tr>
			      <td> <input type="text" name="ara" class="ara" /></td>
				  <td> <select name="kume" >
				          <option value="adi"> Adı ve Soyadı</option>
				          <option value="kadi"> Kullanıcı Adı</option>
				          <option value="ksfr"> Şifresi </option>
				          <option value="bolum"> Bölüm </option>
				  <select/>
				  </td>
				  <td> <input type="submit" name="btn" value="Ara"/></td>
			 </tr>
			 
		 </table>
	</form>
	</body>
</html>

<?php
    if(isset($_GET['ara']))
	{
		$aranacak=$_GET['ara']."%";
		$kolon_kisit="adi";
		if(isset($_GET['kume']))
		   $kolon_kisit=$_GET['kume'];
		
		Echo "Arama Yapılacak Kelime ".$aranacak;
		
		$vt=new mysqli("localhost","root","usbw","okulsistemi");
		
		if($vt->connect_error)
			die("Veritabanı Bağlantı Hatası ".$vt->connect_error);
		
		$sql="SELECT * FROM `kullanici` WHERE `".$kolon_kisit."` LIKE ? ";
		$vt->set_charset('utf8');
		$sorgu=$vt->prepare($sql);
		$sorgu->bind_param('s',$aranacak);
		$sorgu->execute();
		
		$snc=$sorgu->get_result();
		
		if($snc->num_rows==0)
		  echo"<h3 style='color:red'> Veritabanında Hiçbir Sonuç Bulunamadı</h3>";
	   else{
		   echo"<h3 style='color:green'>". $snc->num_rows." Satır Veri Bulundu </h3>";
		   
		      $metin="<table border='1' cellpadding='10'>
			         <tr>
					     <th>ID </th>  <th>Adı </th>  <th>Kullanıcı Adı </th>  <th>Şifresi </th> <th>Bölümü </th>
					 </tr>
			  ";
			  
					while($veri = $snc->fetch_assoc())
					{
						$metin.="<tr>
						     <td>{$veri['id']}</td> 
							 <td>{$veri['adi']}</td> 
							 <td>{$veri['kadi']}</td> 
							 <td>{$veri['ksfr']}</td> 
							 <td>{$veri['bolum']}</td>
						</tr>";
						//print_r($veri);
					}
					
					echo $metin."</table>";
	   }
		
		$sorgu->close();
		$vt->close();
		
		
	}

?>